身份要求
平台负责人. 会话/管理写操作不在公共 Playground 执行。
接口
curl --request GET 'https://api.oneaster.ai/core/v1/admin/users/1' \ --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"
参数
- id (path, 必填): {"type":"string","pattern":"^[0-9]+$"}
响应
200
平台所有者验证员工目标用户
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": true
},
"data": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string",
"pattern": "^[0-9]+$"
},
"username": {
"type": "string"
},
"enabled": {
"type": "boolean"
},
"issuer": {
"type": "string",
"format": "uuid"
}
},
"required": [
"id",
"username",
"enabled",
"issuer"
]
}
},
"required": [
"success",
"data"
]
}
}
}
default
错误代码见 core-api.md;供应商/数据库错误已隐藏。
{
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"properties": {
"success": {
"const": false
},
"error": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"type": {
"const": "oneaster_error"
}
},
"required": [
"code",
"message",
"type"
]
},
"data": {
"type": "null"
}
},
"required": [
"success",
"error",
"data"
]
}
}
}